<template>
  <div>
    <header class="header-area">
      <h1>
        <div class="nth-line-3">Login</div>
      </h1>
    </header>
    <div class="profile--3"></div>

    <div class="login-form">
      <form class="custom--form" @submit.prevent="submit()">
        <p v-if="errorMessage" class="error"></p>
        <p>
          <input 
          v-model="email"
          type="text" 
          placeholder="Votre e-mail" 
          required />
        </p>
        <p>
          <input
           v-model="password"
           type="password"
           placeholder="Votre mot de passe"
           required />
        </p>
        <p>
          <input class="btn" type="submit" value="Login" />
        </p>
        <p>
          <a href="">Forgot password?</a>
        </p>
        <p>
          <router-link :to="{ name: 'signup' }">
            Don't have an account? Sign Up
          </router-link>
        </p>
      </form>
    </div>
  </div>
</template>

<script>
export default {
  name: "login",
  data() {
    return {
      email: "",
      password: ""
    };
  },

  props: {
    errorMessage: {
      type: String,
      default: ""
    }
  },

  methods: {
    submit() {
      this.$emit("submit", {
        email: this.email,
        password: this.password
      });
    }
  }
};
</script>

<style>
@import url("https://fonts.googleapis.com/css2?family=Mukta:wght@300&family=Quicksand&display=swap");

header .header-area {
  text-align: right;
  margin-top: 0;
  padding: 0 1em;
  font-family: "Old Standard TT", serif;
}

h1 {
  margin-top: 0;
  font-family: "Old Standard TT", serif;
  color: #1da2f1;
  text-transform: uppercase;
  font-weight: 400;
}

.nth-line-3 {
  font-size: 15vw;
}
@media (min-width: 55em) {
  header.header-area {
    margin-right: 0;
  }
  .nth-line-3 {
    font-size: 5vw;
    margin-right: 260px;
  }
}
.profile--3 {
  background: url("../assets/Nimoy-2.jpg") center 20%;
  height: 35vh;
  background-size: cover;
}
@media (min-width: 55em) {
  .profile--3 {
    width: 45%;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    height: auto;
  }
}
@media (min-width: 80em) {
  .profile--3 {
    width: 45%;
    top: 0;
    left: 0;
    bottom: 0;
    height: auto;
  }
}

p {
  margin: 0 0 20px 0;
  font-weight: 500;
  line-height: 22px;
}

.custom--form input,
.custom--form input .btn {
  display: block;  
  background-color: #191919;
  color: #fff;
  border: 3px solid #1da2f1;
  border-radius: 5px;
  width: 100%;
  padding: 10px;
  outline: none;
  justify-content: center;
  font-family: "Mukta", sans-serif;
  font-variant: all-small-caps;
  font-size: 20px;
  transition: .2s;
}

.custom--form input:focus {
  border-color: #fff;
  transition: .3s;
}

.custom--form input::placeholder{
   font-family: "Mukta", sans-serif;
   font-variant: all-small-caps;
   color: #D3D3D3;
}

.custom--form input.btn:hover {
  justify-content: center;
  background-color: #1da2f1;
  border-color: #fff;
  transition: .3s;
}

.login-form {
  float: right;
  margin-right: 150px;
}

.custom--form p:last-child {
  margin: 0;
}

.custom--form p a {
  color: #1da2f1;
  font-size: 17px;
  font-family: "Mukta", sans-serif;
  font-variant: all-small-caps;
  text-decoration: none;
}

.custom--form label {
  display: block;
  width: 100%;
  margin-bottom: 2px;
  letter-spacing: 0.5px;
}

.custom--form p:last-child label {
  width: 60%;
  float: left;
}

.custom--form {
  padding: 50px;
}

@media screen and (max-width: 60.75em) {
  .nth-line-3 {
    text-align: center;
  }

  .login-form {
    margin-top: 45px;
    margin-right: auto;
    width: 100%;
  }

  .custom--form {
    padding: 0;
    display: grid;
    justify-content: center;
  }

  .custom--form input {
    width: 325px;
  }
}
</style>
